Index: branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/EvaluationTracker.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/EvaluationTracker.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/EvaluationTracker.cs	(revision 16462)
@@ -27,5 +27,5 @@
 using HeuristicLab.Encodings.BinaryVectorEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.Problems.Binary;
 
@@ -34,5 +34,5 @@
   // B. W. Goldman and W. F. Punch, "Parameter-less Population Pyramid," GECCO, pp. 785–792, 2014
   // and the original source code in C++11 available from: https://github.com/brianwgoldman/Parameter-less_Population_Pyramid
-  [StorableClass]
+  [StorableType("D5F1358D-C100-40CF-9BA5-E95F72F64D1A")]
   internal sealed class EvaluationTracker : BinaryProblem {
     [Storable]
@@ -66,5 +66,5 @@
 
     [StorableConstructor]
-    private EvaluationTracker(bool deserializing) : base(deserializing) { }
+    private EvaluationTracker(StorableConstructorFlag _) : base(_) { }
 
     private EvaluationTracker(EvaluationTracker original, Cloner cloner)
Index: branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/HeuristicLab.Algorithms.ParameterlessPopulationPyramid-3.3.csproj
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/HeuristicLab.Algorithms.ParameterlessPopulationPyramid-3.3.csproj	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/HeuristicLab.Algorithms.ParameterlessPopulationPyramid-3.3.csproj	(revision 16462)
@@ -76,5 +76,5 @@
       <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
     </Reference>
-    <Reference Include="HEAL.Fossil, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
+    <Reference Include="HEAL.Fossil, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
       <HintPath>..\..\packages\HEAL.Fossil.1.0.0\lib\netstandard2.0\HEAL.Fossil.dll</HintPath>
     </Reference>
Index: branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/HillClimber.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/HillClimber.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/HillClimber.cs	(revision 16462)
@@ -31,5 +31,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.Problems.Binary;
 using HeuristicLab.Random;
@@ -41,5 +41,5 @@
   // and the original source code in C++11 available from: https://github.com/brianwgoldman/Parameter-less_Population_Pyramid
   [Item("Hill Climber (HC)", "Binary Hill Climber.")]
-  [StorableClass]
+  [StorableType("BA349010-6295-406E-8989-B271FB96ED86")]
   [Creatable(CreatableAttribute.Categories.SingleSolutionAlgorithms, Priority = 150)]
   public class HillClimber : BasicAlgorithm {
@@ -83,5 +83,5 @@
 
     [StorableConstructor]
-    protected HillClimber(bool deserializing) : base(deserializing) { }
+    protected HillClimber(StorableConstructorFlag _) : base(_) { }
     protected HillClimber(HillClimber original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/LinkageTree.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/LinkageTree.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/LinkageTree.cs	(revision 16462)
@@ -27,5 +27,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.BinaryVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.Random;
 
@@ -34,5 +34,5 @@
   // B. W. Goldman and W. F. Punch, "Parameter-less Population Pyramid," GECCO, pp. 785–792, 2014
   // and the original source code in C++11 available from: https://github.com/brianwgoldman/Parameter-less_Population_Pyramid
-  [StorableClass]
+  [StorableType("40E75AC2-ABD0-43A9-AC91-7478FDD6A399")]
   public class LinkageTree : DeepCloneable {
     [Storable]
@@ -51,5 +51,5 @@
 
     [StorableConstructor]
-    protected LinkageTree(bool deserializing) : base() { }
+    protected LinkageTree(StorableConstructorFlag _) { }
 
 
Index: branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/ParameterlessPopulationPyramid.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/ParameterlessPopulationPyramid.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/ParameterlessPopulationPyramid.cs	(revision 16462)
@@ -32,5 +32,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.Problems.Binary;
 using HeuristicLab.Random;
@@ -41,5 +41,5 @@
   // and the original source code in C++11 available from: https://github.com/brianwgoldman/Parameter-less_Population_Pyramid
   [Item("Parameter-less Population Pyramid (P3)", "Binary value optimization algorithm which requires no configuration. B. W. Goldman and W. F. Punch, Parameter-less Population Pyramid, GECCO, pp. 785–792, 2014")]
-  [StorableClass]
+  [StorableType("CAD84CAB-1ECC-4D76-BDC5-701AAF690E17")]
   [Creatable(CreatableAttribute.Categories.PopulationBasedAlgorithms, Priority = 400)]
   public class ParameterlessPopulationPyramid : BasicAlgorithm {
@@ -166,5 +166,5 @@
 
     [StorableConstructor]
-    protected ParameterlessPopulationPyramid(bool deserializing) : base(deserializing) { }
+    protected ParameterlessPopulationPyramid(StorableConstructorFlag _) : base(_) { }
 
     protected ParameterlessPopulationPyramid(ParameterlessPopulationPyramid original, Cloner cloner)
Index: branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/Population.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/Population.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/Population.cs	(revision 16462)
@@ -26,5 +26,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.BinaryVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Algorithms.ParameterlessPopulationPyramid {
@@ -32,5 +32,5 @@
   // B. W. Goldman and W. F. Punch, "Parameter-less Population Pyramid," GECCO, pp. 785–792, 2014
   // and the original source code in C++11 available from: https://github.com/brianwgoldman/Parameter-less_Population_Pyramid
-  [StorableClass]
+  [StorableType("E09EB41C-B95C-40DF-BF60-8F1E21E9892F")]
   public class Population : DeepCloneable {
     [Storable]
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    protected Population(bool deserializing) : base() { }
+    protected Population(StorableConstructorFlag _) { }
 
 
